# VecDestroyVecs

Frees a block of vectors obtained with VecDuplicateVecs().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecDestroyVecs(Vec vv[],PetscInt m)

Collective on Vec

### Input Parameters

| vv | - pointer to array of vector pointers
| m | - the number of vectors previously obtained

### Fortran Note

The Fortran interface is slightly different from that given below. See the Fortran chapter of the users manual and petsc/src/vec/examples for details.

### See Also

VecDuplicateVecs(), VecDestroyVecsf90()

Level:intermediate
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html